package com.factory.web.entity.fa;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 表头信息
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FirstArticleTitle implements Serializable {

    @ApiModelProperty(value = "Project")
    private String project;

    @ApiModelProperty(value = "Gpin")
    private String gpin;

    @ApiModelProperty(value = "Language")
    private String language;

    @ApiModelProperty(value = "OEM")
    private String oem;

    @ApiModelProperty(value = "Partname")
    private String partname;

    @ApiModelProperty(value = "Productgroup")
    private String productgroup;

    @ApiModelProperty(value = "Status Doc")
    private String statusDoc;

    @ApiModelProperty(value = "Version")
    private String version;

    @ApiModelProperty(value = "BAT-Material")
    private String batMaterial;

    @ApiModelProperty(value = "Part No. OEM")
    private String partNoOem;

    @ApiModelProperty(value = "Last change")
    private String lastChange;

    @ApiModelProperty(value = "DmbA")
    private String dmbA;

    @ApiModelProperty(value = "附件id")
    private String uploadAttachmentId;
}
