package com.factory.web.entity.fa.req;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 检查记录
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class SearchFaCalendarReq {

    @ApiModelProperty(value = "计划Id")
    private Long bentelerPlanId;

    @ApiModelProperty(value = "日期", example = "2021-06-08")
    private String checkDate;

}
