package com.factory.web.entity.fa.req;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 取得不放行任务对应的工作站
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class SearchFaItemReleaseCountReq {

    @ApiModelProperty(value = "巡检项目id")
    private Long firstArticleItemId;

    @ApiModelProperty(value = "日期", example = "2021-06-08")
    private String checkDate;

}
