package com.factory.web.entity.fa.req;

import com.factory.base.entity.vo.req.BasePageReq;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 首件计划
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class SearchFaPlanCheckListReq extends BasePageReq {

    @ApiModelProperty(value = "计划名称")
    private String bentelerPlanName;

    @ApiModelProperty(value = "计划状态 0未完成 1已完成 2待重检")
    private Integer planStatus;

}
