package com.factory.web.entity.fa.res;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 不放行任务对应的工作站
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class FaWorkshopNoGoListRes implements Serializable {

	@ApiModelProperty(value = "计划id")
	private Long bentelerPlanId;
	
    @ApiModelProperty(value = "工作站id")
    private Long workshopId;
    
    @ApiModelProperty(value = "任务id")
    private Long taskId;

    @ApiModelProperty(value = "工作站名称")
    private String wsName;
    
    @ApiModelProperty(value = "工作站名称")
    private String plName;

    @ApiModelProperty(value = "0没完成 1全部完成")
    private Integer allCheckFlag;

}
