package com.factory.web.entity.pm;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 表头信息
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@TableName("onsite_title_blob")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OnsiteTitleBlob implements Serializable {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "表头id")
    private Long id;

    @ApiModelProperty(value = "计划id")
    private Long bentelerPlanId;

    @ApiModelProperty(value = "表头")
    private byte[] titleContent;

//    @TableField(exist = false)
//    private String titleContentStr;
}