package com.factory.web.entity.pm;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 表头信息
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@TableName(value="onsite_title_json",autoResultMap = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OnsiteTitleJson implements Serializable {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "表头id")
    private Long id;

    @ApiModelProperty(value = "计划id")
    private Long bentelerPlanId;

    @TableField(typeHandler = JacksonTypeHandler.class)
    @ApiModelProperty(value = "表头信息")
    private OnsiteTitle onsiteTitle;
}