package com.factory.web.entity.pm;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 计划绑定
 * @See BentelerPlan
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Deprecated
@Data
@TableName("plan_bind")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PlanBind implements Serializable {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "计划审批id")
    private Long id;

    @ApiModelProperty(value = "旧的计划id")
    private Long oldBentelerPlanId;

    @ApiModelProperty(value = "新的计划id")
    private Long newBentelerPlanId;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createdUserId;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createdTime;

}
