package com.factory.web.entity.pm.req;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 防错计划，Pad端点检人员可见的计划列表
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class SearchPmPlanListForPadReq {

    @ApiModelProperty(value = "Pad端登录的检查人员用户Id")
    private Long userId;

//	@ApiModelProperty(value = "任务创建时间，当前日期")
//	private LocalDateTime taskTime;

    @ApiModelProperty(value = "0未完成 1已完成 2待重检")
    private Integer type;
}
