package com.factory.web.entity.pm.req;

import com.factory.base.entity.vo.req.BasePageReq;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 防错计划
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class SearchPmPlanListReq extends BasePageReq {

    @ApiModelProperty(value = "计划名称")
    private String bentelerPlanName;

//	@ApiModelProperty(value = "计划状态 0待质量经理审批、1待生产经理审批、2已驳回待修改、3审批通过")
//	private Integer planStatus;

    @ApiModelProperty(value = "计划类型 1首件 2防错")
    private Integer planType;

}
