package com.factory.web.entity.pm.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-08-06 8:01 上午
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AbnormalApprovalTaskRes {
    @ApiModelProperty(value = "操作人")
    private String username;

    @ApiModelProperty(value = "审批意见")
    private String reason;

    @ApiModelProperty(value = "审批时间")
    private LocalDateTime updatedTime;

    @ApiModelProperty(value = "0初始化 1待审核状态 2放行 3不通过 4通过")
    private Integer status;
}
