package com.factory.web.entity.pm.res;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @program: smart-factory-new
 * @description:
 * @author: dl
 * @create: 08月13日 09时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("GetUnFinishedNumRes")
public class GetUnFinishedNumRes {
    @ApiModelProperty("首件未完成数量")
    Integer firstUnfinishNum;
    @ApiModelProperty("放错未完成数量")
    Integer errorNum;
    @ApiModelProperty("重检待完成")
    Integer ReinspectionNum;

}
