package com.factory.web.entity.pm.res;

import java.io.Serializable;
import java.time.LocalDate;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 检查记录
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class PmCheckRecordRes implements Serializable {

    @ApiModelProperty(value = "任务创建时间")
    private LocalDate taskTime;

    @ApiModelProperty(value = "巡检结果 0通过  1巡检不通过 2没有巡检")
    private int result;
    
    @ApiModelProperty(value = "重检旧值")
    private int resultBak;

    @ApiModelProperty(value = "0未提交1待重检2放行3重检4通过")
    private int status;
}
