package com.factory.web.entity.pm.res;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 防错任务
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class PmTaskListRes implements Serializable {

    @ApiModelProperty(value = "计划ID")
    private Long bentelerPlanId;

    @ApiModelProperty(value = "巡检时间表id")
    private Long onsiteCalendarId;

    @ApiModelProperty(value = "巡检项目id")
    private Long onsiteItemId;

    @ApiModelProperty(value = "0初始化 1待审核状态 2放行 3不放行")
    private Integer status;

}
