package com.factory.web.entity.vo.req.pad;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @program: intelligentfactory
 * @description:
 * @author: dl
 * @create: 07月01日 10时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class GetVersionCheckItemReq {


    @ApiModelProperty(value = "点检日期")
    private LocalDate localDate;
    @ApiModelProperty(value = "点检类型")
    private Integer checkType;
    @ApiModelProperty(value = "版本Id")
    private Long versionId;
    @ApiModelProperty(value = "工作站Id")
    private Long workId;


}
