package com.factory.web.entity.vo.req.web;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @program: intelligentfactory
 * @description:
 * @author: dl
 * @create: 06月29日 17时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class AddIniPlanWorkReq {


    @ApiModelProperty(value = "版本id", example = "1")
    private Long versionId;

    @ApiModelProperty(value = "生产线", example = "生产线")
    private String productionLine;

    @ApiModelProperty(value = "工作站", example = "工作站")
    private String workstation;


    @ApiModelProperty(value = "检查特性")
    private List<AddIniPlanItemReq> BentelerIniVersionItems;
}
