package com.factory.web.entity.vo.res.pad.ini;

import com.factory.base.entity.po.benteler.BentelerIniVersionItem;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import java.util.List;

/**
 * @program: intelligentfactory
 * @description:
 * @author: dl
 * @create: 07月01日 13时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class workTypeDetailsRes {


    @ApiModelProperty(value = "工作站ID")
    private Long workId;

    @ApiModelProperty(value = "点检项")
    private List<@Valid BentelerIniVersionItem> versionItems;
    @ApiModelProperty(value = "是否使用工具 ")
    private Boolean useTool;
    @ApiModelProperty(value = "工具备注")
    private String toolRemark;

}
