package com.factory.web.entity.vo.res.web.ini;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @program: intelligent-factory-service
 * @description:
 * @author: dl
 * @create: 05月13日 12时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GetVersionHistoryRes {

    /**
     * 计划id
     */
    @ApiModelProperty("计划id")
    private Long planId;
    /**
     * 版本id
     */
    @ApiModelProperty("版本id")
    private Long id;

    /**
     * 建立时间
     */
    @ApiModelProperty("建立时间")
    private LocalDateTime createdTime;


}
