package com.factory.web.mapper.onsite;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.factory.web.entity.onsite.OnsiteItem2;
import com.factory.web.entity.onsite.OnsiteItemReq;
import com.factory.web.entity.onsite.OnsiteItemRes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 巡检项目设置
 *
 * @author wzy
 * @date 2021-07-06 12:10:10
 */
@Mapper
public interface OnsiteItemMapper2 extends BaseMapper<OnsiteItem2> {

    /**
     * 取得巡检项目列表
     *
     * @param page
     * @param req
     * @return 巡检项目列表
     */
    public Page<OnsiteItemRes> getList(@Param("page") Page page, @Param("req") OnsiteItemReq req);
}
