package com.factory.web.service.impl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("")
public class DownLoadParam implements Serializable {

    @ApiModelProperty(value = "0 输入对应计划id")
    private Long planId;
    @ApiModelProperty(value = "1 首件 2 纠错")
    private int type;
}
