package com.factory.web.service.impl.fa;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.web.entity.fa.FirstArticleApprovalTask;
import com.factory.web.mapper.fa.FirstArticleApprovalTaskMapper;
import com.factory.web.service.fa.FirstArticleApprovalTaskService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * 任务审批
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Service("firstArticleApprovalTaskService")
@Transactional(rollbackFor = Exception.class)
public class FirstArticleApprovalTaskServiceImpl extends ServiceImpl<FirstArticleApprovalTaskMapper, FirstArticleApprovalTask> implements FirstArticleApprovalTaskService {

}