package com.factory.wx.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-29 3:36 下午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AbnormalDetailReq {
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "计划Id")
    private Long planId;

    @ApiModelProperty(value = "计划类型 1首件 2防错")
    private Long checkType;

    @ApiModelProperty(value = "异常类型：1重检2放行")
    private Integer abnormalType;
    
    @ApiModelProperty(value = "任务ID：暂无")
    private Long taskId;
}
