package com.factory.wx.entity.req;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-23 2:46 上午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AbnormalPlanReq {
    @ApiModelProperty(value = "年月", example = "yyyy-MM")
    private String month;

    @ApiModelProperty(value = "计划名")
    private String name;

    @ApiModelProperty(value = "异常类型 1已重检 2已放行")
    private int abnormalType;

    @ApiModelProperty(value = "计划列表页号")
    private int page;

    @ApiModelProperty(value = "计划列表每页数量")
    private int size;
    
    @ApiModelProperty(value = "开始时间",hidden = true)
    private LocalDateTime sdate;
    @ApiModelProperty(value = "结束时间",hidden = true)
    private LocalDateTime edate;
}


