package com.factory.wx.entity.res;

import java.time.LocalDate;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-23 2:12 上午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AbnormalPlanRes {

    @ApiModelProperty(value = "计划id")
    private Long planId;

    @ApiModelProperty(value = "计划名称")
    private String planName;

    @ApiModelProperty(value = "计划类型 1首件 2防错")
    private int planType;

    @ApiModelProperty(value = "异常类型 1已重检 2已放行")
    private int abnormalType;
    
    @ApiModelProperty(value = "任务ID")
    private Long taskId;
    
    @ApiModelProperty(value = "任务时间")
    private LocalDate taskTime;

}
