package com.factory.wx.entity.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-12 6:43 下午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class FunctionsRes {

    @ApiModelProperty(value = "功能点")
    private String description;

    @ApiModelProperty(value = "功能点名称")
    private String name;

    @ApiModelProperty(value = "待处理数量")
    private int count;

}
