package com.factory.wx.entity.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-1512:41 上午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PlanPassRes {
    @ApiModelProperty(value = "计划Id")
    private Long id;

    @ApiModelProperty(value = "计划名称")
    private String name;

    @ApiModelProperty(value = "计划类型")
    private int planType;
    
    @ApiModelProperty(value = "任务ID")
    private Long taskId;
}
