package com.factory.wx.entity.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-15 7:03 下午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ReminderRes {

    @ApiModelProperty(value = "计划Id")
    private Long planId;

    @ApiModelProperty(value = "计划名称")
    private String name;

    @ApiModelProperty(value = "计划类型")
    private String planType;

    @ApiModelProperty(value = "提醒状态")
    private int status;
    
    @ApiModelProperty(value = "任务ID")
    private Long taskId;

}
