package com.factory.wx.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.factory.wx.entity.req.PlanInfoReq;
import com.factory.wx.entity.req.PlanPageReq;
import com.factory.wx.entity.res.ReminderRes;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-15 9:12 下午
 */
@Mapper
public interface ReminderMapper {

    /**
     * 获提醒任务列表
     *
     * @param planPageReq
     * @return
     */
    List<ReminderRes> getReminderList(@Param("page")IPage<ReminderRes> page,@Param("req")PlanPageReq planPageReq);

    /**
     * 确认计划已提醒
     *
     * @param planInfoReq
     */
    int confirmReminder(PlanInfoReq planInfoReq);
}
