package com.factory.wx.service;

import com.factory.wx.entity.req.AbnormalDetailReq;
import com.factory.wx.entity.req.AbnormalPlanReq;
import com.factory.wx.entity.res.AbnormalDetailRes;
import com.factory.wx.entity.res.AbnormalPlanRes;

import java.util.List;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-23 1:24 上午
 */
public interface AbnormalStatisticsService {

    /**
     * 获取每月的异常计划
     *
     * @param abnormalPlanReq
     * @return
     */
    List<AbnormalPlanRes> getExceptionPlansByMonth(AbnormalPlanReq abnormalPlanReq);


    /**
     * 异常首件详情
     *
     * @param abnormalDetailReq
     * @return
     */
    AbnormalDetailRes getAbnormalDetail(AbnormalDetailReq abnormalDetailReq);
}
