package com.factory.file.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.entity.auth.FileType;
import com.factory.base.entity.po.file.FileInfo;
import com.factory.file.entity.vo.FileRes;
import org.springframework.web.multipart.MultipartFile;

public interface FileInfoService extends IService<FileInfo> {

    ResponseBean<FileRes> upload(MultipartFile file, FileType fileType);

    ResponseBean<FileRes> uploadTwo(MultipartFile file);

    ResponseBean<FileRes> getByid(Long id);
}
