package com.factory.service;

import java.time.LocalDate;

import com.baomidou.mybatisplus.extension.service.IService;
import com.factory.base.entity.po.benteler.BentelerPlan;

public interface PlanService extends IService<BentelerPlan>{

	/**
	 * 更新计划生效，将旧计划失效
	 * @param now
	 */
	void effectPlan(LocalDate now);
	
	/**
	 * 生成任务
	 * @param now
	 */
	void makeTask(BentelerPlan plan);
	
	/**
	 * 立刻生成首件任务
	 * @param now
	 * @return
	 */
	 int makeFirstTask(LocalDate now);
	/**
	 * 立刻生成防错任务
	 * @param now
	 * @return
	 */
	int makeOnsiteTask(LocalDate now);
}
