package com.factory.base.entity.aggregates;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 构建统一分页相应
 *
 * @param <T>
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PageBean<T> {

    private Long page;

    private Long total;

    private List<Integer> pages;

    private List<T> row;

    private String spare;

    private List<String> spareList;

}
