package com.factory.base.entity.constant;


public class RemoteCommonConstants {

    //--------------------------公共常量---------------------//
    public static final int NOT_DEL = 0;

    public static final int DEL = 1;

    public static final int ACTIVE = 1;

    public static final int NOT_ACTIVE = 0;

    public static final int LOCK = 1;

    public static final int NOT_LOCK = 0;

    //--------------------------前缀------------------------//
    public static final String CREATE_CRAFT_PREFIX = "GY";

    public static final String CREATE_PROJECT_PREFIX = "XM";

    public static final String CREATE_MATERIAL_IN_STOCK = "RK";

    public static final String BOM_CODE_PREFIX = "BOM-";

    //--------------------------服务名-----------------------//
    public static final String BS_SERVICE = "bs";

    //--------------------------MAP-------------------------//
    // public static final ConcurrentMap<String, List<Dict>> BS_DICT_MAP = new ConcurrentHashMap<>();

    //-------------------------parts-category --------------//
    public static final Long PRODUCT_CATEGORY_ID = 1L;

    public static final Long SEMI_PRODUCT_CATEGORY_ID = 2L;

    public static final Long RAW_MATERIAL_CATEGORY_ID = 3L;

    //卷料
    public static final Long ROLL_MATERIAL_CATEGORY_ID = 4L;

    //料片
    public static final Long SLICE_MATERIAL_CATEGORY_ID = 5L;

    //板料
    public static final Long SHEET_MATERIAL_CATEGORY_ID = 6L;

    public static final int CATEGORY_ID_PRODUCT = 1;

    public static final int CATEGORY_ID_SEMI_PRODUCT = 2;

    public static final int CATEGORY_ID_RAW_MATERIAL = 3;

    //-------------------------call material state----------//
    public static final int CALL_MATERIAL_STATE_CONFIRM = 2;

    //-------------------------role ------------------------//
    public static final Long ROLE_ADMIN = 1L;

    public static final Long ADMIN = 1L;

    public static final Long PRODUCT_LEADER_ID = 15L;

    //-------------------------product stock----------------//
    public static final int PRODUCT_IN_STOCK = 1;

    public static final int PRODUCT_OUT_STOCK = 2;

    //-------------------------time slot--------------------//
    public static final int TIME_SLOT_TODAY = 1;

    public static final int TIME_SLOT_THIS_WEEK = 2;

    public static final int TIME_SLOT_THIS_MONTH = 3;

    //-------------------------discard or isolate type-------------//
    public static final int DISCARD_TYPE_CURRENT_STOCK = 1;

    //-------------------------export type------//
    public static final int EXPORT_TYPE_DISCARD = 1;

    public static final int EXPORT_TYPE_ISOLATE = 2;

    //-------------------------cancel book record------//
    public static final int CANCEL_BOOK_RECORD_STATUS_APPLYING = 0;

    public static final int CANCEL_BOOK_RECORD_STATUS_HANDLED = 1;

    //-------------------------DIC book record------//

    public static final String DICT_STOP_TYPE = "STOP_TYPE";


}
