package com.factory.base.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


@Data
public class BasePo implements Serializable {

    public final static String DEFAULT_USERNAME = "system";

    public final static Long DEFAULT_USER_ID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    @TableField(fill = FieldFill.INSERT)
    private Long createdUserId;

    @TableField(fill = FieldFill.INSERT)
    private String createdUsername;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdTime;

    @TableField(fill = FieldFill.UPDATE)
    private Long updatedUserId;

    @TableField(fill = FieldFill.UPDATE)
    private String updatedUsername;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updatedTime;

    private Long deletedUserId;

    private String deletedUsername;

    private LocalDateTime deletedTime;

    @TableField(fill = FieldFill.INSERT)
    private Integer deleted;

    @Version
    private Integer versionLock;

}