package com.factory.base.entity.po.remote;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.factory.base.entity.constant.RemoteCommonConstants;
import com.factory.base.entity.po.BaseIdPo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@AllArgsConstructor
@Data


@TableName(value = "us_dept")
public class Dept extends BaseIdPo {


    @TableField(value = "name")
    private String name;

    @TableField(value = "p_id")
    private Long pId;

    @TableField(value = "dept_code")
    private Long deptCode;

    @ApiModelProperty(value = "是否删除 0 ：不删除 1：删除", hidden = true)
    @TableField(value = "del_flag")
    private int deleted = RemoteCommonConstants.NOT_DEL;
}
