package com.factory.base.entity.po.remote;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.factory.base.entity.po.BaseIdPo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("us_menu")
public class Menu extends BaseIdPo implements Serializable {

    @TableField(value = "name")
    private String name;

    @TableField(value = "url")
    private String url;

    @TableField(value = "p_id")
    private Long pId;

    @TableField(value = "priority")
    private int priority;

    @TableField(value = "service")
    private String service;

    @TableField(value = "icon")
    private String icon;

}
