package com.factory.base.entity.task;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TemplateEntry {
    /**
     * 模板id
     */
    private String template_id; //模板id
    /**
     * 跳转小程序页面
     */
    private String page;//不是必填
    /**
     * 跳转小程序类型：developer为开发版；trial为体验版；formal为正式版；默认为正式版
     */
    private String miniprogram_state; //不是必填
    /**
     * 小程序语言，默认中文
     */
    private String lang;//不是必填
    /**
     * 接收者openid
     */
    private String touser; //openid
    /**
     * 模板数据
     */
    private HashMap<String, ValEntry> data; //模板数据
}
