package com.factory.base.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.factory.base.entity.po.remote.Menu;
import com.factory.base.entity.po.remote.Role;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class UserInfoVo {

    private Long id;

    private String username;

    private String remark;

    private Long workstationId;

    private String workstationName;

    private Long shiftId;
    @TableField(exist = false)
    private Long shiftName;

    private String shift;

    private String no;

    private String name;

    private Long departmentId;

    private String departmentName;

    private List<Menu> menuList = new ArrayList<>();

    private List<Role> roleList = new ArrayList<>();

}
