package com.factory.base.entity.vo.req;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @program: intelligentfactory
 * @description:
 * @author: dl
 * @create: 07月01日 10时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class BaseTypeReq extends BaseIdReq {

    @NotNull(message = "类型 1首件2两百3防错")
    private Integer type;
}
