package com.factory.base.util;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import org.apache.commons.lang3.ArrayUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @program: intelligent-factory-service
 * @description:
 * @author: dl
 * @create: 05月12日 19时
 **/
@Service
public class CopyNullPreperty {

    public void copyNullProperty(Object source, Object target) {
        Map<String, Object> stringObjectMap = BeanUtil.beanToMap(target, false, true);
        String[] strings = stringObjectMap.keySet().toArray(new String[0]);

        CopyOptions copyOptions = new CopyOptions();
        copyOptions.setIgnoreNullValue(true);
        copyOptions.setIgnoreProperties(strings);
        //copyOptions.setIgnoreError(null);
        CopyOptions copyOptions1 = CopyOptions.create().setIgnoreNullValue(true).setIgnoreError(true);
        BeanUtil.copyProperties(source, target, copyOptions1);
    }

    public void copyNullProperty(Object source, Object target, String... ignore) {
        Map<String, Object> stringObjectMap = BeanUtil.beanToMap(target, false, true);
        String[] strings = stringObjectMap.keySet().toArray(new String[0]);
        String[] addAll = ArrayUtils.addAll(strings, ignore);
        CopyOptions copyOptions = new CopyOptions();
        copyOptions.setIgnoreNullValue(true);
        copyOptions.setIgnoreProperties(addAll);
        //copyOptions.setIgnoreError(null);
        CopyOptions copyOptions1 = CopyOptions.create().setIgnoreNullValue(true).setIgnoreError(true);
        BeanUtil.copyProperties(source, target, copyOptions1);
    }

    public void copyigoneNull(Object source, Object target) {
        CopyOptions copyOptions = new CopyOptions();
        copyOptions.setIgnoreNullValue(true);
        CopyOptions copyOptions1 = CopyOptions.create().setIgnoreNullValue(true).setIgnoreError(true);
        BeanUtil.copyProperties(source, target, copyOptions1);
    }

}
