package com.factory.user.entity.vo.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("统一上传返回")
public class FileRes {

    private Long id;

    @ApiModelProperty(name = "现名称", example = "1")
    private String name;

    @ApiModelProperty(name = "原名称", example = "1")
    private String originalName;

    @ApiModelProperty(name = "后缀", example = "1")
    private String suffix;

    @ApiModelProperty(name = "访问路径", example = "1")
    private String url;

    @ApiModelProperty(name = "大小", example = "1")
    private Long size;

    @ApiModelProperty(name = "磁盘路径", example = "1")
    private String diskPath;

}
