package com.factory.user.entity.vo.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 获取当前用户按钮权限
 *
 * @author JCM
 * @date 2021/4/19 18:44
 */
@Data
@ApiModel("获取当前用户按钮权限")
public class UserMenuRes {

    @ApiModelProperty("按钮名称")
    private String name;

    @ApiModelProperty("按钮权限")
    private String url;

}
