package com.factory.user.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.factory.base.entity.po.remote.UserRole;

public interface UserRoleMapper extends BaseMapper<UserRole> {
	@Select({" SELECT uur.user_id",
			" FROM us_user_role uur,us_user uu",
			" WHERE uu.id = uur.user_id" ,
			" AND uu.del_flag = 0" ,
			" AND uu.`lock` = 0 and uur.role_id=#{roleId}"})
	List<Long> getUserIdsByRoleId(@Param("roleId")Long roleId);
}
