package com.factory.user.service;


import com.factory.base.entity.aggregates.ResponseBean;

public interface AuthService {

    //监测token是否合法 合法返回用户id
    ResponseBean<Long> checkToken(String token);

    //动态鉴权
    boolean checkPermission(String requestUrl, String client, String token, Long userId);

    //刷新token
    ResponseBean<String> refreshToken(String refreshToken);


}
