package com.factory.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.factory.base.entity.po.remote.UserRole;

import java.util.List;

public interface UserRoleService extends IService<UserRole> {

    boolean userHasRole(Long userId, Long roleId);

    List<UserRole> getRolesByUserId(Long userId);

    List<Long> getRoleIdsByUserId(Long userId);

    List<Long> getUserIdsByRoleId(Long roleId);
}
