package com.factory.user.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.base.entity.constant.SystemConstant;
import com.factory.base.entity.po.remote.Dict;
import com.factory.user.mapper.DictMapper;
import com.factory.user.service.DictService;
import org.springframework.stereotype.Service;

@Service
public class DictServiceImpl extends ServiceImpl<DictMapper, Dict> implements DictService {

    @Override
    public String getNameById(Long id) {
        String name = SystemConstant.EMPTY_STRING;
        if (id == null) {
            return name;
        }
        Dict dept = getById(id);
        if (dept != null) {
            name = dept.getDictVal();
        }
        return name;
    }

}
