package com.factory.web.entity.fa.req;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 修改巡检项目检查结果
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class EditFaItemResultListReq {

//	@ApiModelProperty(value = "任务id")
//	private Long firstArticleTaskId;

    @ApiModelProperty(value = "巡检项目检查结果")
    private List<EditFaItemResultReq> editFaItemResultList;

}
