package com.factory.web.entity.fa.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 工作站
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FirstArticleWorkshopReq {

    @ApiModelProperty(value = "工作站名称")
    private String wsName;

    @ApiModelProperty(value = "生产线名称")
    private String plName;

    @ApiModelProperty(value = "日周月点检规则")
    private List<FirstArticleItemReq> firstArticleItemList;
}
