package com.factory.web.entity.onsite;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 巡检项目设置
 *
 * @author wzy
 * @date 2021-07-06 12:10:10
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class OnsiteItemRes {

    @ApiModelProperty(value = "计划ID")
    private Long bentelerPlanId;

    @ApiModelProperty(value = "计划名称")
    private String bentelerPlanName;

    @ApiModelProperty(value = "工作站ID")
    private Long onsiteWorkshopId;

    @ApiModelProperty(value = "工作站名称")
    private String onsiteWorkshopName;

    @ApiModelProperty(value = "巡检项目ID")
    private Long onsiteItemId;

    @ApiModelProperty(value = "巡检项目内容")
    private String itemContent;
}
