package com.factory.web.entity.pm;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 表头信息
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OnsiteTitle implements Serializable {

    @ApiModelProperty(value = "编号")
    private String id;

    @ApiModelProperty(value = "issueDate")
    private String issueDate;

    @ApiModelProperty(value = "issureLevel")
    private String issureLevel;

    @ApiModelProperty(value = "department")
    private String department;

    @ApiModelProperty(value = "replace")
    private String replace;

    @ApiModelProperty(value = "productionLine")
    private String productionLine;

    @ApiModelProperty(value = "附件id")
    private String uploadAttachmentId;
}
