package com.factory.web.entity.pm;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-15 2:52 上午
 */
@Data
@TableName("remind_approval_task")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RemindApprovalTask {
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "提醒id")
    private Long id;

    @ApiModelProperty(value = "任务id")
    private Long taskId;

    @ApiModelProperty(value = "审批人ID")
    private Long approvalUserId;

    @ApiModelProperty(value = "任务类型 1首件 2防错")
    private int taskType;

    @ApiModelProperty(value = "审批状态 0 初始化 1已经处理")
    private int status;

}
