package com.factory.web.entity.pm.req;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 添加巡检项目检查结果
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class AddItemResultReq {

    @ApiModelProperty(value = "巡检项目id")
    private Long onsiteItemId;

    @ApiModelProperty(value = "0通过 1巡检不通过 2没有巡检")
    private Integer result;

    @ApiModelProperty(value = "异常信息")
    private String abnormal;
}
