package com.factory.web.entity.pm.req;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 防错计划禁用解禁
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class PmPlanPauseFlagReq {

    @ApiModelProperty(value = "计划Id")
    private Long bentelerPlanId;

    @ApiModelProperty(value = "true禁用、false解禁")
    private Boolean pauseFlag;

}
