package com.factory.web.entity.pm.res;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 防错计划
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class AbnormalItemResultRes implements Serializable {

    @ApiModelProperty(value = "对应数据类型0数值")
    private String val;

    @ApiModelProperty(value = "对应数据类型1属性")
    private String valDesc;

    @ApiModelProperty(value = "0通过 1巡检不通过 2没有巡检")
    private Integer result;

    @ApiModelProperty(value = "测量点前缀")
    private String prefix;

    @ApiModelProperty(value = "测量点序号")
    private Integer sno;

    @ApiModelProperty(value = "工具")
    private String toolDesc;

    @ApiModelProperty(value = "异常信息")
    private String abnormal;

    @ApiModelProperty(value = "订单号")
    private String orderNumber;

}
