package com.factory.web.entity.pm.res;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 审批人
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class ApprovalUserRes implements Serializable {

    @ApiModelProperty(value = "审批人用户ID")
    private Long userId;

    @ApiModelProperty(value = "1新建计划审批 2首件审批 3防错审批")
    private Integer type;

    @ApiModelProperty(value = "1代表1级别审批 2代表2级别审批")
    private Integer approvalLevel;

}
