package com.factory.web.entity.pm.res;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 检查记录
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class PmCheckRecordListRes implements Serializable {

    @ApiModelProperty(value = "工作站id")
    private Long workshopId;

    @ApiModelProperty(value = "工作站名称")
    private String wsName;

    @ApiModelProperty(value = "工作站下的巡检项目")
    private List<PmCheckRecordItemListRes> itemList;

}
