package com.factory.web.entity.statistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 异常类别的数量
 *
 * @author sMArT
 * @version 1.0
 * @date 2021-07-22 3:50 下午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ExceptionCountRes {

    @ApiModelProperty(value = "异常总量")
    private int exceptionCount;

    @ApiModelProperty(value = "已重检数量")
    private int recheckedCount;

    @ApiModelProperty(value = "已放行数量")
    private int releasedCount;

    @ApiModelProperty(value = "出现异常的日期")
    private List<String> exceptionDates;
}
