package com.factory.web.entity.statistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 查询年份、月份
 *
 * @author sMArT
 * @version 1.0
 * @date 2021-07-22 3:39 下午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class StatisticsDateReq {

    @ApiModelProperty(value = "年月", example = "yyyy-MM")
    private String month;
}
