package com.factory.web.entity.vo.req.web;

import com.factory.base.entity.vo.req.BasePageReq;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @program: intelligentfactory
 * @description:
 * @author: dl
 * @create: 06月29日 11时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class PlanListReq extends BasePageReq {

    @ApiModelProperty(value = "计划名称")
    private String name;


    @ApiModelProperty(value = "当前点检状态")
    private Integer checkStatus;

}
