package com.factory.web.entity.vo.req.web;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("新增-编辑用户")
public class UserInsertReq {

    @ApiModelProperty("用户id:新增不传，编辑传")
    private Long id;

    @ApiModelProperty("用户名称")
    private String username;

    @ApiModelProperty("用户密码")
    private String password;

    @ApiModelProperty("角色id")
    private Long roleId;

    @ApiModelProperty("班次")
    private Long shiftId;
}
