package com.factory.web.entity.vo.res.web.ini;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @program: intelligentfactory
 * @description:
 * @author: dl
 * @create: 06月29日 18时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class unAuditListRes {

    @ApiModelProperty(value = "计划名称")
    private String name;

    @ApiModelProperty(value = "计划id")
    private Long id;


    @ApiModelProperty(value = "计划类型 1首件 2防错")
    private Integer planType;

    @ApiModelProperty(value = "审核状态 0待质量经理审核 1待生产经理审核  2当前版本  3历史版本  4驳回 ")
    private Integer reviewStatus;


    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createdTime;

    @ApiModelProperty(value = "是否禁用暂停 0否 1是")
    private Boolean pauseFlag;

}
