package com.factory.web.mapper.pm;

import java.time.LocalDateTime;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.factory.web.entity.pm.OnsiteTaskHisBlob;

/**
 * 任务和巡检结果历史
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Mapper
public interface OnsiteTaskHisBlobMapper extends BaseMapper<OnsiteTaskHisBlob> {
	
	@Select({
		"select t.task_time createdTime",
		" from onsite_task_his_blob h",
		" join onsite_task t on t.id = h.onsite_task_id and t.`status` = 4 ",
		" where t.task_time between #{sday} and #{eday} group by t.id"
	})
	List<OnsiteTaskHisBlob> getFinishRecheckTask(@Param("sday")LocalDateTime sday,@Param("eday")LocalDateTime wday);

}
