package com.factory.web.service.impl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@TableName("upload_file_blob")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FileEntry implements Serializable {

    @TableId(type = IdType.AUTO)
    private Long id;

    private String fileNm;

    private byte[] file;

//    @TableField(exist = false)
//    private String titleContentStr;
}
