package com.factory.web.service.impl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("")
public class FileResultInfo implements Serializable {
    @ApiModelProperty(value = "0", example = "附件存储id")
    private Long id;
    @ApiModelProperty(value = "1.txt", example = "附件名称")
    private String fileNm;
}
