package com.factory.web.service.impl.fa;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.web.entity.fa.FirstArticleTask;
import com.factory.web.mapper.fa.FirstArticleTaskMapper;
import com.factory.web.service.fa.FirstArticleTaskService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * 任务
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Service("firstArticleTaskService")
@Transactional(rollbackFor = Exception.class)
public class FirstArticleTaskServiceImpl extends ServiceImpl<FirstArticleTaskMapper, FirstArticleTask> implements FirstArticleTaskService {

}