package com.factory.web.service.impl.pm;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.web.entity.pm.OnsiteApprovalTask;
import com.factory.web.mapper.pm.OnsiteApprovalTaskMapper;
import com.factory.web.service.pm.OnsiteApprovalTaskService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * 任务审批
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Service("onsiteApprovalTaskService")
@Transactional(rollbackFor = Exception.class)
public class OnsiteApprovalTaskServiceImpl extends ServiceImpl<OnsiteApprovalTaskMapper, OnsiteApprovalTask> implements OnsiteApprovalTaskService {

}