package com.factory.web.service.impl.pm;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.web.entity.pm.OnsiteCalendar;
import com.factory.web.mapper.pm.OnsiteCalendarMapper;
import com.factory.web.service.pm.OnsiteCalendarService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * 日周月点检规则
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Service("onsiteCalendarService")
@Transactional(rollbackFor = Exception.class)
public class OnsiteCalendarServiceImpl extends ServiceImpl<OnsiteCalendarMapper, OnsiteCalendar> implements OnsiteCalendarService {

}