package com.factory.web.service.impl.pm;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.web.entity.pm.OnsiteItemResult;
import com.factory.web.mapper.pm.OnsiteItemResultMapper;
import com.factory.web.service.pm.OnsiteItemResultService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * 任务点检结果
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Service("onsiteItemResultService")
@Transactional(rollbackFor = Exception.class)
public class OnsiteItemResultServiceImpl extends ServiceImpl<OnsiteItemResultMapper, OnsiteItemResult> implements OnsiteItemResultService {

}