package com.factory.web.service.impl.pm;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.web.entity.pm.OnsiteItem;
import com.factory.web.mapper.pm.OnsiteItemMapper;
import com.factory.web.service.pm.OnsiteItemService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * 巡检项目设置
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Service("onsiteItemService")
@Transactional(rollbackFor = Exception.class)
public class OnsiteItemServiceImpl extends ServiceImpl<OnsiteItemMapper, OnsiteItem> implements OnsiteItemService {

}