package com.factory.web.service.impl.pm;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.web.entity.pm.OnsiteTask;
import com.factory.web.mapper.pm.OnsiteTaskMapper;
import com.factory.web.service.pm.OnsiteTaskService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * 任务
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Service("onsiteTaskService")
@Transactional(rollbackFor = Exception.class)
public class OnsiteTaskServiceImpl extends ServiceImpl<OnsiteTaskMapper, OnsiteTask> implements OnsiteTaskService {

}