package com.factory.web.service.impl.pm;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.web.entity.pm.OnsiteWorkshop;
import com.factory.web.mapper.pm.OnsiteWorkshopMapper;
import com.factory.web.service.pm.OnsiteWorkshopService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * 工作站
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Service("onsiteWorkshopService")
@Transactional(rollbackFor = Exception.class)
public class OnsiteWorkshopServiceImpl extends ServiceImpl<OnsiteWorkshopMapper, OnsiteWorkshop> implements OnsiteWorkshopService {

}