package com.factory.web.service.impl.pm;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.web.entity.pm.PlanBind;
import com.factory.web.mapper.pm.PlanBindMapper;
import com.factory.web.service.pm.PlanBindService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * 计划绑定
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Service("planBindService")
@Transactional(rollbackFor = Exception.class)
public class PlanBindServiceImpl extends ServiceImpl<PlanBindMapper, PlanBind> implements PlanBindService {

}