package com.factory.web.service.statistics;

import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.web.entity.statistics.ExceptionCountRes;
import com.factory.web.entity.statistics.StatisticsDateReq;

/**
 * 统计
 *
 * @author sMArT
 * @version 1.0
 * @date 2021-07-22 3:24 下午
 */
public interface StatisticsService {
    /**
     * 获取当年异常数量
     *
     * @param statisticsDateReq
     * @return
     */
    ResponseBean<ExceptionCountRes> getExceptionsByMonth(StatisticsDateReq statisticsDateReq);

}
