package com.factory.wx.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-15 2:43 下午
 */
@Data
@TableName("us_user_wechat")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UsUserWechat {
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "绑定id")
    private Long id;

    @ApiModelProperty(value = "微信openid")
    private String openid;

    @ApiModelProperty(value = "系统用户id")
    private Long userId;

}
