package com.factory.wx.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 审批计划
 *
 * @author sMArT
 * @version 1.0
 * @date 2021-07-15 2:00 上午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PlanApprovalReq {
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "计划Id")
    private Long planId;

    @ApiModelProperty(value = "计划类型")
    private Long checkType;

    @ApiModelProperty(value = "审批状态 默认0，通过1，不通过2")
    private int status;
}
