package com.factory.wx.entity.req;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-15 1:25 上午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PlanApprovalTaskReq {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "任务ID")
    private Long taskId;

    @ApiModelProperty(value = "审批状态 1放行  2不放行")
    private int status;

    @ApiModelProperty(value = "审批意见")
    private String reason;

    @ApiModelProperty(value = "计划类型 1首件 2防错")
    private int planType;

    @ApiModelProperty(value = "角色ID列表",hidden=true)
    private List<Long> roleIds;
    @ApiModelProperty(value = "当前层级",hidden=true)
    private Integer approvalLevel;
}
