package com.factory.wx.entity.req;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-28 3:48 下午
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PlanPassReq {
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "计划Id")
    private Long planId;

    @ApiModelProperty(value = "计划类型")
    private int planType;

    @ApiModelProperty(value = "任务Id")
    private Long taskId;
    
    @ApiModelProperty(value = "角色ID",hidden = true)
    private List<Long> roleIds;
}
