package com.factory.wx.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-08-02 12:07 上午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SearchPlanPassReq {

    @ApiModelProperty(value = "工作站id")
    private Long workshopId;

    @ApiModelProperty(value = "任务id")
    private Long taskId;

    @ApiModelProperty(value = "巡检项目id")
    private Long itemId;

    @ApiModelProperty(value = "0表示首件 1表示200件 2表示中断")
    private Integer typeFlag;
    
    @ApiModelProperty(value = "0标识正常1标志检查异常2未检查")
    private Integer resultFlag;
}
