package com.factory.wx.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-08-04 10:00 上午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SendMsgReq {

    @ApiModelProperty(value = "接收用户id")
    private Long toUserId;

    @ApiModelProperty(value = "作业名称")
    private String title;

    @ApiModelProperty(value = "提醒内容")
    private String content;

    @ApiModelProperty(value = "截止日期")
    private String endTime;

    @ApiModelProperty(value = "发布人员id")
    private Long fromUserId;
    
    @ApiModelProperty(value = "跳转页面")
    private String pageIndex;
}
