package com.factory.wx.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-15 3:58 下午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class UserBindReq {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "微信code")
    private String code;
}
