package com.factory.wx.entity.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-15 9:09 下午
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PlanApprovalTaskRes {

    @ApiModelProperty(value = "任务Id")
    private Long onsiteTaskId;

    @ApiModelProperty(value = "审批状态：0初始化，1放行，2不放行")
    private int status;

    @ApiModelProperty(value = "OP")
    private String wsName;

    @ApiModelProperty(value = "内容")
    private String itemContent;

    @ApiModelProperty(value = "异常信息")
    private String abnormal;

    @ApiModelProperty(value = "发生时间")
    private LocalDate itemTime;

    @ApiModelProperty(value = "巡检0 通过  1 不通过")
    private int result;

    @ApiModelProperty(value = "0 日巡检  1 周巡检  2 月巡检")
    private int typeFlag;
}
