package com.factory.wx.entity.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PlanPassWorkshopRes implements Serializable {

    @ApiModelProperty(value = "工作站id")
    private Long workshopId;

    @ApiModelProperty(value = "工作站名称")
    private String wsName;

    @ApiModelProperty(value = "生产线名称")
    private String plName;

    @ApiModelProperty(value = "巡检项及检查结果")
    private List<PlanPassItemRes> itemList;

}
