package com.factory.wx.service;

import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.wx.entity.req.PlanApprovalTaskReq;
import com.factory.wx.entity.req.PlanPassReq;
import com.factory.wx.entity.res.PlanPassDetailRes;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-08-03 10:28 上午
 */
public interface PlanPassPMService {

    /**
     * 计划放行详情-防错
     *
     * @param planPassReq
     * @return
     */
    PlanPassDetailRes getPassDetailPM(PlanPassReq planPassReq);


    /**
     * 计划放行
     *
     * @param planApprovalTaskReq
     * @return
     */
    ResponseBean<Void> approvalPMTaskOperate(PlanApprovalTaskReq planApprovalTaskReq);
}
