package com.factory.wx.service;

import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.wx.entity.req.PlanApprovalTaskReq;
import com.factory.wx.entity.req.PlanPageReq;
import com.factory.wx.entity.res.PlanPassRes;

import java.util.List;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-13 12:13 下午
 */
public interface PlanPassService {


    /**
     * 计划放行列表
     *
     * @param planPageReq
     * @return
     */
    List<PlanPassRes> getPassList(PlanPageReq planPageReq);

    /**
     * 计划放行
     *
     * @param planApprovalTaskReq
     * @return
     */
    ResponseBean<Void> approvalTaskOperate(PlanApprovalTaskReq planApprovalTaskReq);
}
