package com.factory.wx.service;

import com.factory.wx.entity.res.WxPlanBaseInfoRes;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-29 9:31 上午
 */
public interface WxPlanService {
    /**
     * 获取首件计划基础信息
     *
     * @param planId
     */
    WxPlanBaseInfoRes getFirstArticlePlanBaseInfo(Long planId);


    /**
     * 获取防错计划基础信息
     *
     * @param planId
     * @return
     */
    WxPlanBaseInfoRes getOnsitePlanBaseInfo(Long planId);

    /**
     * 根据用户id获取用户姓名
     *
     * @param userId
     * @return
     */
    String getUserNameById(Long userId);
}
