package com.factory.common;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import lombok.Data;

@Data
@ConfigurationProperties(prefix = "task")
@Component
public class TaskProperties {
	
	private Cron onsite;
	
	private Cron first;
	
	private Cron pass;
	
	@Data
	public static class Cron{
		
		String cron;
		
		String remind;
	}

}
