package com.factory.websocket;

import java.util.ArrayList;
import java.util.List;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/websocket")
public class WebSocketController {

	@GetMapping("broadcast")
	public String broadcast(@RequestParam String message) {
		List<String> pool = new ArrayList<String>(WsSessionManager.SESSION_POOL.keySet());
		for (String key : pool) {
			WsSessionManager.sendMessage(key, message);
		}
		return "ok";
	}

	@GetMapping("pushone")
	public String pushone(@RequestParam String message, String key) {
		WsSessionManager.sendMessage(key, message);
		return "ok";
	}
}
