package com.factory.base.config.mybatis;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.ObjectMapper;

@Component
public class JsonTypeConfig {
	
	@Autowired
	private ObjectMapper objectMapper;
	
	@PostConstruct
	public void init() throws Exception{
		JacksonTypeHandler.setObjectMapper(objectMapper);
	}
}
