package com.factory.base.entity.po.benteler;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Digits;
import java.math.BigDecimal;

/**
 * @program: intelligentfactory
 * @description:
 * @author: dl
 * @create: 06月29日 15时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class IniGread {
    private Integer workStation;
    private boolean GreadFlag;
    @Digits(integer = 5, fraction = 5, message = "必须为小数 ,整数位数5位以下,小数精度5位以下")
    private BigDecimal gread;
    private boolean passResult;

}
