package com.factory.base.entity.po.remote;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.factory.base.entity.po.BaseIdPo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@NoArgsConstructor
@AllArgsConstructor
@Data
@TableName("cn_dict")
public class Dict extends BaseIdPo implements Serializable {

    @TableField("dict_key")
    private String dictKey;

    @TableField("dict_val")
    private String dictVal;

    private String note;

    @TableField("`desc`")
    private String desc;

    private Integer sort;

    @TableField("service_name")
    private String serviceName;

}
