package com.factory.base.entity.po.remote;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.factory.base.entity.constant.RemoteCommonConstants;
import com.factory.base.entity.po.BaseIdPo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("us_permission")
public class Permission extends BaseIdPo implements Serializable {

    @TableField(value = "name")
    private String name;

    @TableField(value = "url")
    private String url;

    @TableField(value = "module_id")
    private Long moduleId;

    @TableField(value = "hidden")
    private Boolean hidden;

    @TableField(value = "del_flag")
    private int deleted = RemoteCommonConstants.NOT_DEL;


}
