package com.factory.base.entity.po.remote;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.factory.base.entity.constant.RemoteCommonConstants;
import com.factory.base.entity.po.BaseIdPo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("us_role")
public class Role extends BaseIdPo {

    @TableField(value = "name")
    private String name;

    @TableField(value = "remark")
    private String remark;

    @TableField(value = "user_id")
    private Long userId;

    @TableField(value = "type")
    private String type;

    @TableField(value = "del_flag")
    private int deleted = RemoteCommonConstants.NOT_DEL;

}
