package com.factory.base.entity.po.wx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WeixinUser implements Serializable {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    @ApiModelProperty(value = "openid")
    private String openid;
    @ApiModelProperty(value = "sessionkey")
    private String sessionKey;
    @ApiModelProperty(value = "微信登录Code")
    private String loginCode;
    @ApiModelProperty(value = "微信昵称")
    private String nickName;
    @ApiModelProperty(value = "绑定的账号ID")
    private Long userId;
    @ApiModelProperty(value = "获取openid时间")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "绑定时间")
    private LocalDateTime bindTime;
    @ApiModelProperty(value = "最后一次登录时间")
    private LocalDateTime loginTime;
}
