package com.factory.base.util;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;

import java.util.Map;

/**
 * @program: intelligent-factory-service
 * @description:
 * @author: dl
 * @create: 05月12日 17时
 **/
public class CopyUtil {
    private static void copyNullProperty(Object source, Object target) {
        Map<String, Object> stringObjectMap = BeanUtil.beanToMap(target, false, true);
        String[] strings = stringObjectMap.keySet().stream().toArray(String[]::new);

        CopyOptions copyOptions = new CopyOptions();
        copyOptions.setIgnoreNullValue(true);
        copyOptions.setIgnoreProperties(strings);

        CopyOptions copyOptions1 = CopyOptions.create().setIgnoreNullValue(true).setIgnoreError(true);
        BeanUtil.copyProperties(source, target, copyOptions1);
    }

    private static void copyNullProperty(Object source, Class clazz) throws IllegalAccessException, InstantiationException {
        Object bean = clazz.newInstance();
        Map<String, Object> stringObjectMap = BeanUtil.beanToMap(bean, false, true);
        String[] strings = stringObjectMap.keySet().stream().toArray(String[]::new);

        CopyOptions copyOptions = new CopyOptions();
        copyOptions.setIgnoreNullValue(true);
        copyOptions.setIgnoreProperties(strings);

        CopyOptions copyOptions1 = CopyOptions.create().setIgnoreNullValue(true).setIgnoreError(true);
        BeanUtil.copyProperties(source, bean, copyOptions1);
    }


}
