package com.factory.base.util.time;

import java.time.LocalDateTime;
import java.time.LocalTime;
import java.time.format.DateTimeFormatter;

/**
 * @program: stadyBegin
 * @description:
 * @author: dl
 * @create: 08月07日 13时
 **/
public class TimeConvert {
    public static String dateTimeString2String(String format, int seconds) {
        String replace = format.replace(" ", "T");
        LocalDateTime localDateTime1 = LocalDateTime.parse(replace);
        LocalDateTime res = localDateTime1.plusSeconds(seconds);
        return res.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
    }

    public static LocalDateTime dateTimeString2Datetime(String format, int seconds) {
        String replace = format.replace(" ", "T");
        LocalDateTime localDateTime1 = LocalDateTime.parse(replace);
        return localDateTime1.plusSeconds(seconds);
    }

    public static String datetime2String(LocalDateTime localDateTime, int seconds) {
        LocalDateTime res = localDateTime.plusSeconds(seconds);
        String format = localDateTime.format(DateTimeFormatter.ofPattern("HH:mm:ss"));
        return format;
    }

    public static LocalDateTime datetime2datetime(LocalDateTime localDateTime, int seconds) {
        LocalDateTime res = localDateTime.plusSeconds(seconds);
        return res;
    }

    public static String timeString2String(String format, int seconds,String pattern) {
        LocalTime res = LocalTime.parse(format).plusSeconds(seconds);
        return res.format(DateTimeFormatter.ofPattern(pattern));
    }

    public static LocalTime timeString2time(String format, int seconds) {
        LocalTime localDateTime1 = LocalTime.parse(format);
        return localDateTime1.plusSeconds(seconds);
    }

    public static String time2String(LocalTime localTime, int seconds) {
        LocalTime res = localTime.plusSeconds(seconds);
        String format = res.format(DateTimeFormatter.ofPattern("HH:mm:ss"));
        return format;
    }

    public static LocalTime time2time(LocalTime localTime, int seconds) {
        LocalTime res = localTime.plusSeconds(seconds);
        return res;
    }
}
