package com.factory.user.entity.vo;

import com.factory.base.entity.po.remote.UserInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(parent = UserInfo.class)
public class UserVo extends UserInfo implements Serializable {

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "角色名称")
    private String roleName;
}
