package com.factory.user.entity.vo.req;

import com.factory.base.entity.vo.req.BasePageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("用户列表筛选参数")
public class UserPageQueryReq extends BasePageReq {

    @ApiModelProperty("用户名称")
    private String name;

    @ApiModelProperty("角色id")
    private Long roleId;

}
