package com.factory.user.entity.vo.res;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserLogInRes {

    private Long id;

    private String nickname;

    private String realName;

    private String username;

    private String phone;

    private String email;

    private String headId;

    private String url;

    private List<RoleRes> roleList = new ArrayList<>();

    private List<MenuRes> menuList = new ArrayList<>();

    private List<ButtonRes> buttonList = new ArrayList<>();

}
