package com.factory.user.entity.vo.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("用户列表")
public class UserRes {

    @ApiModelProperty("用户id")
    private Long id;

    @ApiModelProperty("账户名称")
    private String username;
    
    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("角色id")
    private Long roleId;

    @ApiModelProperty("角色名称")
    private String roleName;

    @ApiModelProperty("班次id")
    private Long shiftId;

    @ApiModelProperty("班次名称")
    private String shiftName;

    @ApiModelProperty("密码")
    private String passWord;

    @ApiModelProperty("设置:false.解禁 true.禁用")
    private boolean lock;

}
