package com.factory.user.util;

import org.bouncycastle.util.encoders.Base64;

import javax.crypto.Cipher;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import java.io.UnsupportedEncodingException;

public class AESUtil {

    private final static String charsetName = "UTF-8";

    private final static String key = "m1v5s8o7f9t3!@#6";

    private final static byte[] PARAMS = "0102030405060708".getBytes();

    private final static String cipherInstance = "AES/CBC/PKCS5Padding";

    private static SecretKeySpec keySpec = new SecretKeySpec(key.getBytes(), "AES");

    // 加密
    public static String encrypt(String sSrc) {
        byte[] encrypted = null;
        try {
            Cipher cipher = Cipher.getInstance(cipherInstance);//"算法/模式/补码方式"
            IvParameterSpec iv = new IvParameterSpec(PARAMS);//使用CBC模式，需要一个向量iv，可增加加密算法的强度
            cipher.init(Cipher.ENCRYPT_MODE, keySpec, iv);
            encrypted = cipher.doFinal(sSrc.getBytes(charsetName));
        } catch (Exception ex) {
            System.out.println(ex.toString());
            return null;
        }
        String rtn = null;//此处使用BAES64做转码功能，同时能起到2次加密的作用。
        try {
            rtn = new String(Base64.encode(encrypted), charsetName);
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        return rtn;
    }

    // 解密
    public static String decrypt(String sSrc) {
        try {
            Cipher cipher = Cipher.getInstance(cipherInstance);
            IvParameterSpec iv = new IvParameterSpec(PARAMS);
            cipher.init(Cipher.DECRYPT_MODE, keySpec, iv);
            byte[] encrypted1 = Base64.decode(sSrc);//先用bAES64解密
            try {
                byte[] original = cipher.doFinal(encrypted1);
                String originalString = new String(original, charsetName);
                return originalString;
            } catch (Exception e) {
                System.out.println(e.toString());
                return null;
            }
        } catch (Exception ex) {
            System.out.println(ex.toString());
            return null;
        }
    }
}
