package com.factory.user.util;

import java.io.IOException;

/**
 * @author Kodak
 * @version 1.0
 * @create 2019/08/04/10:30
 */
public class Base64 {

    /**
     * 编码
     *
     * @param bstr
     * @return String
     */
    public static String encode(byte[] bstr) {
        return new sun.misc.BASE64Encoder().encode(bstr);
    }

    /**
     * 解码
     *
     * @param str
     * @return string
     */
    public static byte[] decode(String str) {
        byte[] bt = null;
        try {
            sun.misc.BASE64Decoder decoder = new sun.misc.BASE64Decoder();
            bt = decoder.decodeBuffer(str);
        } catch (IOException e) {
            e.printStackTrace();
        }

        return bt;
    }

    public static void main(String[] args) {
        String base64String = "admin";
        String str1 = encode(base64String.getBytes());
        System.out.println("str1:" + str1);
        String str2 = new String(decode("YWRtaW4="));
        System.out.println("str2:" + str2);
    }
}